Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 584586 - Importing labinfo results in 500 ISE
Importing labinfo results in 500 ISE
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 18:48 EDT by Matt Brodeur
Modified: 2010-05-26 13:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 13:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
labinfo csv which causes meltdown (971 bytes, text/csv)
2010-04-21 18:48 EDT, Matt Brodeur
no flags Details

  None (edit)
Description Matt Brodeur 2010-04-21 18:48:16 EDT
Created attachment 408191 [details]
labinfo csv which causes meltdown

Description of problem:
Trying to import a labinfo.csv results in an immediate Internal Server Error

Version-Release number of selected component (if applicable):
0.4.95

How reproducible:
100%

Steps to Reproduce:
1. Create a csv of type labinfo
2. Attempt to import via Web UI
  
Actual results:
boom

Expected results:
Successful import, or at least something nicer than a 500 error

Additional Info:
re-importing a previously exported file seems to work

Example labinfo attached
Comment 1 Raymond Mancy 2010-05-17 08:55:08 EDT
Problem with orig_cost
Comment 2 Raymond Mancy 2010-05-18 03:06:26 EDT
Done. labinfo property was being evaluated before it was assigned.

http://git.fedorahosted.org/git/?p=beaker.git;a=commit;h=a63349f93af48dc55b97527b94bd339d42295460
Comment 3 Bill Peck 2010-05-24 14:44:21 EDT
merged into master, will be in next release.

Note You need to log in before you can comment on or make changes to this bug.